Core - Bug # 60370

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: IRRE

Created: 2014-07-17 Assigned To:

Updated: 2014-10-13 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subiject: Irre elements with enabled useCombination missing new record button

Description

Regression by https://review.typo3.org/#/c/29719/

Related issues:

related to Core - Bug # 55553: Highlight fields of an useCombination again Resolved 2014-02-01
related to Core - Bug # 57488: page record overlays: media field not translat... Resolved 2014-04-01

Associated revisions

Revision 50cff6c9 - 2014-10-13 12:47 - Marc Bastian Heinrichs

[BUGFIX] Fix missing new record button with enabled useCombination

Also add it if a record selector is shown.

Resolves: #60370

Related: #57488

Releases: master, 6.2

Change-Id: 1f4f34521310dc3f479d6c97cada082db91f668c3
Reviewed-on: http://review.typo3.org/31648

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Stephan GroBberndt <stephan@grossberndt.de>

Reviewed-by: Stefan Froemken <froemken@gmail.com>

Tested-by: Stefan Froemken <froemken@gmail.com>

Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>

Tested-by: Alexander Opitz <opitz.alexander@googlemail.com>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Revision 13da155d - 2014-10-13 12:48 - Marc Bastian Heinrichs

[BUGFIX] Fix missing new record button with enabled useCombination

Also add it if a record selector is shown.

Resolves: #60370

Related: #57488

Releases: master, 6.2
Change-Id: 1f4f34521310dc3f479d6c97cada082db91f668c3
Reviewed-on: http://review.typo3.org/33289

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2014-07-17 12:24 - Marc Bastian Heinrichs

See test extension here #55553

#2 - 2014-07-18 15:49 - Markus Klein
- Status changed from New to Under Review

https://review.typo3.org/31648

#3 - 2014-10-11 14:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31648

#4 - 2014-10-11 14:47 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31648

#5 - 2014-10-13 12:48 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33289

#6 - 2014-10-13 13:00 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:50cff6c968bc361b543008321745aee703f5e9a4.
